ICU 74.1 74.1

Data Structures | Namespaces
ucharstrie.h File Reference

C++ API: Trie for mapping Unicode strings (or 16-bit-unit sequences) to integer values. More...

`#include "unicode/utypes.h"`
`#include "unicode/unistr.h"`
`#include "unicode/uobject.h"`
`#include "unicode/ustringtrie.h"`

Go to the source code of this file.

## Data Structures
class | icu::UCharsTrie
| Light-weight, non-const reader class for a UCharsTrie. More...
class | icu::UCharsTrie::State
| UCharsTrie state object, for saving a trie's current state and resetting the trie back to this state later. More...
class | icu::UCharsTrie::Iterator
| Iterator for all of the (string, value) pairs in a UCharsTrie. More...

## Namespaces
| icu
| File coll.h.

## Detailed Description

C++ API: Trie for mapping Unicode strings (or 16-bit-unit sequences) to integer values.

Definition in file ucharstrie.h.